## fenics plotly-0.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = fenics_plotly
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## fenics 0.4.1.1

=== debian/changelog ===
fenics (2:0.4.1.1) unstable; urgency=medium

  * reorganise automated versioning to read FENICS-X version from
    source package version, set ufl version to 2022.1.0, and
    fenics legacy version to 2019.2.0
  * new source package epoch bump to manage version jump from FEniCS-X
    2019.2.0 back down to 0.4.1.
  * use ~ with package versions to facilitate backporting
  * dolfinx now uses basix instead of FIAT
  * update list of mshr-supported arches. mshr now builds on all arches
    except armel mips mipsel.
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Jun 2022 18:15:47 +0200

fenics (1:2019.2.0.5) unstable; urgency=medium

  * Depend on common packages, don't enforce "real" builds.
  
 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Oct 2020 11:45:48 +0800

fenics (1:2019.2.0.4) unstable; urgency=medium

  * fenicx: Depends: libdolfinx-real-dev, python3-dolfinx-real
    (to ensure full installation installing Recommends)

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Aug 2020 20:36:19 +0800

fenics (1:2019.2.0.3) unstable; urgency=medium

  * fenics Depends: python3-dolfin-real
    (Depend alongside python3-dolfin to ensure full installation)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Aug 2020 01:45:34 +0800

fenics (1:2019.2.0.2) unstable; urgency=medium

  * mark fenicsx as Architecture: all
    (arch-specificity in fenics was due to availability of mshr)
  * update arch list for mshr (now available on powerpc)
  * Suggests: not Recommends: python3-mshr where not available

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Apr 2020 11:45:52 +0800

fenics (1:2019.2.0.1) unstable; urgency=medium

  * add test-fenicsx to debian/tests
  * update debian/copyright to modern format

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Apr 2020 22:53:02 +0800

fenics (1:2019.2.0.0) experimental; urgency=medium

  * link to new upstream release 2019.2.0
  * provide fenicsx for the next-generation implementation FEniCX-X,
    using python3-dolfinx, python3-ffcx.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Feb 2020 10:14:13 +0800

fenics (1:2019.1.0.3) unstable; urgency=medium

  * set OMPI_MCA_btl_base_warn_component_unused=0 in debian/tests to
    avoid warning about missing OpenFabrics (openib) importing dolfin
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 27 Oct 2019 09:49:30 +0800

fenics (1:2019.1.0.2) unstable; urgency=medium

  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Aug 2019 20:41:04 +0800

fenics (1:2019.1.0.1exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
  * Depends: python3-mshr for armhf i386 hppa (now building ok)

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 May 2019 21:17:11 +0800

fenics (1:2018.1.0.6) unstable; urgency=medium

  * mark the fenics package as Multi-Arch: same

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Aug 2018 22:28:11 +0800

fenics (1:2018.1.0.5) unstable; urgency=medium

  * add debian/tests (autopkgtest) to check that FEniCS components
    import successfully in python3

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Aug 2018 20:46:58 +0800

fenics (1:2018.1.0.4) unstable; urgency=medium

  * Recommends: python3-mshr on 32 bit arches
    [armel armhf i386 mips mipsel hppa m68k powerpc x32]

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Aug 2018 10:09:47 +0800

fenics (1:2018.1.0.3) unstable; urgency=medium

  * use correct url for Vcs-Git in debian/control
  * exclude 32 bit arches from mshr dependency (they don't have enough
    memory available to build mshr):
    Depends: python3-mshr [!armel !armhf !i386 !mips !mipsel
      !hppa !m68k !powerpc !x32]
  * "Architecture: any" instead of "all", to accommodate architecture
    restrictions on mshr.

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Aug 2018 20:37:33 +0800

fenics (1:2018.1.0.2) unstable; urgency=medium

  * Depends: python3-mshr. mshr is now available.
    Closes: #851183.
  * Standards-Version: 4.2.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Aug 2018 14:29:05 +0800

fenics (1:2018.1.0.1) unstable; urgency=medium

  * New upstream version
    - no longer depends on python-instant
    - now supports Python 3 only
  * Standards-Version: 4.1.5

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Jul 2018 20:51:58 +0800

fenics (1:2017.2.0.1) unstable; urgency=medium

  [ Johannes Ring ]
  * Remove python-scitools from Recommends.

  [ Drew Parsons ]
  * New upstream version 2017.2.0.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11
  * update VCS tags to https://salsa.debian.org
  * Priority: optional not extra

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Feb 2018 00:52:55 +0800

fenics (1:2017.1.0.1) unstable; urgency=medium

  * Team upload.

  [ Johannes Ring ]
  * debian/control:
    - Update VCS fields after the move to Git (closes: #854624).

  [ Drew Parsons ]
  * New upstream version 2017.1.0
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10
  * Identify in the long description that fenics is a dummy
    metapackage depending on all FEniCS components.
  * Use minimal dh in debian/rules instead of cdbs.
  * Suggests: python-mshr (>= 2016.2.0)
    - mshr (python-mshr) may be built from
      https://anonscm.debian.org/git/debian-science/packages/fenics/mshr.git/
      (reported in README.Debian)

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Sep 2017 21:25:16 +0800

fenics (1:2016.2.0.1) unstable; urgency=medium

  * debian/control:
    - Update Depends field to DOLFIN 2016.2.0, FFC 2016.2.0, FIAT
      2016.2.0, Instant 2016.2.0 and UFL 2016.2.0.
    - Add python-dijitso to Depends.
    - Remove Christophe Prud'homme from Uploaders (closes: #835014).

 -- Johannes Ring <johannr@simula.no>  Thu, 05 Jan 2017 14:14:32 +0100

fenics (1:2016.1.0.1) UNRELEASED; urgency=medium



=== debian/control ===
Source: fenics
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics

Package: fenics
Architecture: any
Multi-Arch: same
Depends: libdolfin-dev (>= ${fenics:Upstream-Version}),
 python3-dolfin (>= ${fenics:Upstream-Version}),
 dolfin-doc (>= ${fenics:Upstream-Version}),
 dolfin-bin (>= ${fenics:Upstream-Version}),
 python3-ffc (>= ${fenics:Upstream-Version}),
 python3-fiat (>= ${fenics:Upstream-Version}),
 python3-ufl (>= ${fenics:Upstream-Version}),
 python-ufl-doc (>= ${fenics:Upstream-Version}),
 python3-dijitso (>= ${fenics:Upstream-Version}),
 python3-mshr (>= ${fenics:Upstream-Version}) [!armel !mips !mipsel !alpha !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !sparc64 !x32],
 ${misc:Depends}
Suggests: python3-mshr (>= ${fenics:Upstream-Version}) [armel mips mipsel alpha hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k sh4 sparc64 x32]
Description: Automated Solution of Differential Equations
 FEniCS is a collection of free software for automated, efficient
 solution of differential equations.
 .
 FEniCS has an extensive list of features, including automated
 solution of variational problems, automated error control and
 adaptivity, a comprehensive library of finite elements, high
 performance linear algebra and many more.
 .
 FEniCS is organized as a collection of interoperable components,
 including the problem-solving environment DOLFIN, the form compiler
 FFC, the finite element tabulator FIAT, the just-in-time compiler
 Instant, the code generation interface UFC, the form language UFL and
 a range of additional components.
 .
 This is a metapackage which depends on all FEniCS components.
 .
 This is the legacy version of FEniCS. You may want to consider
 installing the next-generation FEniCS-X (fenicx package).

Package: fenicsx
Architecture: all
Depends: libdolfinx-dev (>= ${fenicsx:Upstream-Epoch-Version}),
 python3-dolfinx (>= ${fenicsx:Upstream-Epoch-Version}),
 dolfinx-doc (>= ${fenicsx:Upstream-Epoch-Version}),
 python3-basix (>= ${fenicsx:Upstream-Version}),
 basix-doc (>= ${fenicsx:Upstream-Version}),
 python3-ffcx (>= ${fenicsx:Upstream-Epoch-Version}),
 python3-ufl (>= ${ufl:Upstream-Version}),
 python-ufl-doc (>= ${ufl:Upstream-Version}),
 ${misc:Depends}
Description: Automated Solution of Differential Equations
 FEniCS is a collection of free software for automated, efficient
 solution of differential equations.
 .
 FEniCS has an extensive list of features, including automated
 solution of variational problems, automated error control and
 adaptivity, a comprehensive library of finite elements, high
 performance linear algebra and many more.
 .
 FEniCS is organized as a collection of interoperable components,
 including the problem-solving environment DOLFIN, the form compiler
 FFC, the finite element tabulator FIAT, the just-in-time compiler
 Instant, the code generation interface UFC, the form language UFL and
 a range of additional components.
 .
 This is a metapackage which depends on all FEniCS-X components.
 .
 FEniCS-X is the next-generation implementation of FEniCS
 (with DOLFIN-X, FFC-X)

=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/\+dfsg.*$$//p')

FENICSX_RELEASE_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)
FENICSX_MAJOR_VERSION=$(shell echo $(FENICSX_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
FENICSX_MINOR_VERSION=$(shell echo $(FENICSX_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
FENICSX_VERSION=$(FENICSX_MAJOR_VERSION).$(FENICSX_MINOR_VERSION)
# epoch here refers to component binary packages, not this fenics dummy package version
FENICSX_EPOCH_VERSION=1:$(FENICSX_VERSION)

# FEniCS-X is now diverged away from legacy FEniCS, so use distinct versioning for legacy components

UFL_RELEASE_VERSION=2022.1.0
UFL_MAJOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
UFL_MINOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
UFL_VERSION=$(UFL_MAJOR_VERSION).$(UFL_MINOR_VERSION)

# legacy FEniCS
FENICS_RELEASE_VERSION=2019.2.0
FENICS_MAJOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
FENICS_MINOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
FENICS_VERSION=$(FENICS_MAJOR_VERSION).$(FENICS_MINOR_VERSION)

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- \
	    -Vfenics:Upstream-Version=$(FENICS_VERSION)~  \
	     -Vufl:Upstream-Version=$(UFL_VERSION)~  \
	     -Vfenicsx:Upstream-Version=$(FENICSX_VERSION)~  \
	     -Vfenicsx:Upstream-Epoch-Version=$(FENICSX_EPOCH_VERSION)~

## fenics 0.5.0.1

=== debian/changelog ===
fenics (2:0.5.0.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

  [ Drew Parsons ]
  * present FEniCS-X (dolfinx) 0.5
    - uses UFL 2022.2.0
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Jan 2023 23:51:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
-Homepage: http://fenicsproject.org
+Standards-Version: 4.6.2
+Homepage: https://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 # FEniCS-X is now diverged away from legacy FEniCS, so use distinct versioning for legacy components
 
-UFL_RELEASE_VERSION=2022.1.0
+UFL_RELEASE_VERSION=2022.2.0
 UFL_MAJOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
 UFL_MINOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
 UFL_VERSION=$(UFL_MAJOR_VERSION).$(UFL_MINOR_VERSION)

## fenics 0.6.0.3

=== debian/changelog ===
fenics (2:0.6.0.3) unstable; urgency=medium

  * no epoch version with Suggests: python3-dolfinx-mpc (0.6 not 1:0.6)

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 03:24:20 +0200

fenics (2:0.6.0.2) unstable; urgency=medium

  * fenicsx Suggests: python3-dolfinx-mpc
    - debian/tests tests import of python3-dolfinx-mpc
      (not mips64el, mipsel)

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 03:16:38 +0200

fenics (2:0.6.0.1) unstable; urgency=medium

  * fenicsx loads dolfinx 0.6 with UFL 2023
  * fenics loads legacy dolfin patched to use ufl_legacy (UFL 2022)
    - debian/tests tests import of ufl_legacy
  * remove redundant debian/README.source

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 02:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  dolfin-bin (>= ${fenics:Upstream-Version}),
  python3-ffc (>= ${fenics:Upstream-Version}),
  python3-fiat (>= ${fenics:Upstream-Version}),
- python3-ufl (>= ${fenics:Upstream-Version}),
- python-ufl-doc (>= ${fenics:Upstream-Version}),
+ python3-ufl-legacy,
+ python-ufl-legacy-doc,
  python3-dijitso (>= ${fenics:Upstream-Version}),
  python3-mshr (>= ${fenics:Upstream-Version}) [!armel !mips !mipsel !alpha !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !sparc64 !x32],
  ${misc:Depends}
@@ -55,6 +55,7 @@
  python3-ufl (>= ${ufl:Upstream-Version}),
  python-ufl-doc (>= ${ufl:Upstream-Version}),
  ${misc:Depends}
+Suggests: python3-dolfinx-mpc (>= ${fenicsx:Upstream-Version})
 Description: Automated Solution of Differential Equations
  FEniCS is a collection of free software for automated, efficient
  solution of differential equations.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 # FEniCS-X is now diverged away from legacy FEniCS, so use distinct versioning for legacy components
 
-UFL_RELEASE_VERSION=2022.2.0
+UFL_RELEASE_VERSION=2023.1.1
 UFL_MAJOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
 UFL_MINOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
 UFL_VERSION=$(UFL_MAJOR_VERSION).$(UFL_MINOR_VERSION)

## fenics 0.7.0.1

=== debian/changelog ===
fenics (2:0.7.0.1) unstable; urgency=medium

  * fenicsx loads dolfinx 0.7 with ufl 2023.2
  * fenicsx Suggests: fenicsx-performance-tests
    ("advertising" the benchmark tests)

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Nov 2023 11:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,8 @@
  python3-ufl (>= ${ufl:Upstream-Version}),
  python-ufl-doc (>= ${ufl:Upstream-Version}),
  ${misc:Depends}
-Suggests: python3-dolfinx-mpc (>= ${fenicsx:Upstream-Version})
+Suggests: python3-dolfinx-mpc (>= ${fenicsx:Upstream-Version}),
+ fenicsx-performance-tests (>= ${fenicsx:Upstream-Version})
 Description: Automated Solution of Differential Equations
  FEniCS is a collection of free software for automated, efficient
  solution of differential equations.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 # FEniCS-X is now diverged away from legacy FEniCS, so use distinct versioning for legacy components
 
-UFL_RELEASE_VERSION=2023.1.1
+UFL_RELEASE_VERSION=2023.2.0
 UFL_MAJOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
 UFL_MINOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
 UFL_VERSION=$(UFL_MAJOR_VERSION).$(UFL_MINOR_VERSION)

=== debian/tests/control ===
Tests: test-fenics, test-fenicsx
Depends: @, @builddeps@,
 python3-dolfinx-mpc [!mips64el !mipsel]

## fenics 0.8.0.1build1

=== debian/changelog ===
fenics (2:0.8.0.1build1) oracular; urgency=medium

  * Rebuild against new petsc3.20.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 May 2024 17:21:23 +0200

fenics (2:0.8.0.1) unstable; urgency=medium

  * update versions for the v0.8 release (including ufl 2024.1.0)
  * debian/tests: test all supported python versions
  * fenicsx Suggests: python3-adios4dolfinx
    (note Adios2 is available on 64-bit arches only)
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 May 2024 13:33:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics
@@ -56,6 +56,7 @@
  python-ufl-doc (>= ${ufl:Upstream-Version}),
  ${misc:Depends}
 Suggests: python3-dolfinx-mpc (>= ${fenicsx:Upstream-Version}),
+ python3-adios4dolfinx  (>= ${fenicsx:Upstream-Version}),
  fenicsx-performance-tests (>= ${fenicsx:Upstream-Version})
 Description: Automated Solution of Differential Equations
  FEniCS is a collection of free software for automated, efficient

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 # FEniCS-X is now diverged away from legacy FEniCS, so use distinct versioning for legacy components
 
-UFL_RELEASE_VERSION=2023.2.0
+UFL_RELEASE_VERSION=2024.1.0
 UFL_MAJOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
 UFL_MINOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
 UFL_VERSION=$(UFL_MAJOR_VERSION).$(UFL_MINOR_VERSION)

## fenics 0.9.0.1

=== debian/changelog ===
fenics (2:0.9.0.1) unstable; urgency=medium

  * fenicsx loads dolfinx 0.9.0 with ufl 2024.2
  * Add Francesco Ballarin to uploaders

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 03 Nov 2024 13:57:48 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
+Uploaders:
+ Johannes Ring <johannr@simula.no>,
+ Drew Parsons <dparsons@debian.org>,
+ Francesco Ballarin <francesco.ballarin@unicatt.it>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.7.0
 Homepage: https://fenicsproject.org

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 # FEniCS-X is now diverged away from legacy FEniCS, so use distinct versioning for legacy components
 
-UFL_RELEASE_VERSION=2024.1.0
+UFL_RELEASE_VERSION=2024.2.0
 UFL_MAJOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
 UFL_MINOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
 UFL_VERSION=$(UFL_MAJOR_VERSION).$(UFL_MINOR_VERSION)

=== debian/tests/control ===
Tests: test-fenics, test-fenicsx
Depends: @, @builddeps@,
 python3-dolfinx-mpc [!mips64el !mipsel],
 python3-adios4dolfinx [!armel !armhf !i386 !hppa !hurd-i386 !m68k !powerpc !sh4 !x32],
 python3-all

## fenics 0.9.0.2

=== debian/changelog ===
fenics (2:0.9.0.2) unstable; urgency=medium

  * Team Upload
  * Fix Team name to show up properly on
    https://udd.debian.org/cgi-bin/autoremovals.cgi
  * Standards-Version: 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Wed, 23 Apr 2025 13:28:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: fenics
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Johannes Ring <johannr@simula.no>,
  Drew Parsons <dparsons@debian.org>,
  Francesco Ballarin <francesco.ballarin@unicatt.it>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics

## fenics 0.9.0.3

=== debian/changelog ===
fenics (2:0.9.0.3) unstable; urgency=medium

  * fenicsx Suggests: python3-scifem
  * debian/tests/test-fenicsx tests that scifem imports successfully

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 May 2025 14:42:17 +0200

=== debian/control ===
--- 
+++ 
@@ -60,6 +60,7 @@
  ${misc:Depends}
 Suggests: python3-dolfinx-mpc (>= ${fenicsx:Upstream-Version}),
  python3-adios4dolfinx  (>= ${fenicsx:Upstream-Version}),
+ python3-scifem,
  fenicsx-performance-tests (>= ${fenicsx:Upstream-Version})
 Description: Automated Solution of Differential Equations
  FEniCS is a collection of free software for automated, efficient

=== debian/tests/control ===
--- 
+++ 
@@ -2,4 +2,5 @@
 Depends: @, @builddeps@,
  python3-dolfinx-mpc [!mips64el !mipsel],
  python3-adios4dolfinx [!armel !armhf !i386 !hppa !hurd-i386 !m68k !powerpc !sh4 !x32],
+ python3-scifem,
  python3-all

## fenics 0.10.0.1

=== debian/changelog ===
fenics (2:0.10.0.1) unstable; urgency=medium

  * New FEniCS-X suite 0.10.
    - uses ufl 2025.2.0
  * fenicsx Suggests: python3-dolfinx-mpc
  * report version of auxiliary components
    (scifem only, dolfinx_mpc does not provide its version)

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Dec 2025 12:51:30 +0100

=== debian/control ===
--- 
+++ 
@@ -60,6 +60,7 @@
  ${misc:Depends}
 Suggests: python3-dolfinx-mpc (>= ${fenicsx:Upstream-Version}),
  python3-adios4dolfinx  (>= ${fenicsx:Upstream-Version}),
+ python3-dolfinx-mpc,
  python3-scifem,
  fenicsx-performance-tests (>= ${fenicsx:Upstream-Version})
 Description: Automated Solution of Differential Equations

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 # FEniCS-X is now diverged away from legacy FEniCS, so use distinct versioning for legacy components
 
-UFL_RELEASE_VERSION=2024.2.0
+UFL_RELEASE_VERSION=2025.2.0
 UFL_MAJOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
 UFL_MINOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
 UFL_VERSION=$(UFL_MAJOR_VERSION).$(UFL_MINOR_VERSION)

## fenics 1.0-beta-1

=== debian/control ===
Source: fenics
Section: math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://www.fenicsproject.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/trunk/

Package: fenics
Architecture: all
Depends: libdolfin1.0-dev (>= 1.0-beta),
 python-dolfin (>= 1.0-beta),
 dolfin-doc (>= 1.0-beta),
 dolfin-bin (>= 1.0-beta),
 python-ferari (>= 0.2.0),
 python-ffc (>= 1.0-beta),
 python-fiat (>= 1.0-beta),
 python-instant (>= 1.0-beta),
 ufc (>= 2.0.2),
 python-ufc (>= 2.0.2),
 ufc-doc (>= 2.0.2),
 python-viper (>= 1.0-beta),
 python-ufl (>= 1.0-beta2),
 python-ufl-doc (>= 1.0-beta2),
 ${misc:Depends}
Description: automation of computational mathematical modeling
 The vision of FEniCS is to set a new standard in Computational Mathematical
 Modeling (CMM), which is the Automation of CMM (ACMM), towards the goals of
 generality, efficiency and simplicity, concerning mathematical methodology,
 implementation and application. FEniCS is organized as a collection of sub
 projects/components, including DOLFIN, FErari, FFC, FIAT, Instant, SyFi
 UFC, UFL, and Viper.

## fenics 1.0-rc2-1

=== debian/control ===
Source: fenics
Section: math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://fenicsproject.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/trunk/

Package: fenics
Architecture: all
Depends: libdolfin1.0-dev (>= 1.0-rc2),
 python-dolfin (>= 1.0-rc2),
 dolfin-doc (>= 1.0-rc2),
 dolfin-bin (>= 1.0-rc2),
 python-ferari (>= 0.2.0),
 python-ffc (>= 1.0-rc1),
 python-fiat (>= 1.0-beta),
 python-instant (>= 1.0-beta),
 ufc (>= 2.0.4),
 python-ufc (>= 2.0.4),
 ufc-doc (>= 2.0.4),
 python-viper (>= 1.0-beta),
 python-ufl (>= 1.0-rc1),
 python-ufl-doc (>= 1.0-rc1),
 libsyfi1.0-dev (>= 1.0-beta),
 python-syfi (>= 1.0-beta),
 syfi-doc (>= 1.0-beta),
 sfc (>= 1.0-beta),
 ${misc:Depends}
Recommends: python-scitools
Description: automation of computational mathematical modeling
 The vision of FEniCS is to set a new standard in Computational Mathematical
 Modeling (CMM), which is the Automation of CMM (ACMM), towards the goals of
 generality, efficiency and simplicity, concerning mathematical methodology,
 implementation and application. FEniCS is organized as a collection of sub
 projects/components, including DOLFIN, FErari, FFC, FIAT, Instant, SyFi
 UFC, UFL, and Viper.

## fenics 1.0.0-1

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
 
 Package: fenics
 Architecture: all
-Depends: libdolfin1.0-dev (>= 1.0-rc2),
- python-dolfin (>= 1.0-rc2),
- dolfin-doc (>= 1.0-rc2),
- dolfin-bin (>= 1.0-rc2),
- python-ferari (>= 0.2.0),
- python-ffc (>= 1.0-rc1),
- python-fiat (>= 1.0-beta),
- python-instant (>= 1.0-beta),
- ufc (>= 2.0.4),
- python-ufc (>= 2.0.4),
- ufc-doc (>= 2.0.4),
- python-viper (>= 1.0-beta),
- python-ufl (>= 1.0-rc1),
- python-ufl-doc (>= 1.0-rc1),
+Depends: libdolfin1.0-dev (>= 1.0.0),
+ python-dolfin (>= 1.0.0),
+ dolfin-doc (>= 1.0.0),
+ dolfin-bin (>= 1.0.0),
+ python-ferari (>= 1.0.0),
+ python-ffc (>= 1.0.0),
+ python-fiat (>= 1.0.0),
+ python-instant (>= 1.0.0),
+ ufc (>= 2.0.5),
+ python-ufc (>= 2.0.5),
+ ufc-doc (>= 2.0.5),
+ python-viper (>= 1.0.0),
+ python-ufl (>= 1.0.0),
+ python-ufl-doc (>= 1.0.0),
  libsyfi1.0-dev (>= 1.0-beta),
  python-syfi (>= 1.0-beta),
  syfi-doc (>= 1.0-beta),

## fenics 1.2.0.1

=== debian/control ===
Source: fenics
Section: math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
Standards-Version: 3.9.4
Homepage: http://fenicsproject.org
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/fenics/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/fenics/trunk/

Package: fenics
Architecture: all
Depends: libdolfin1.2-dev (>= 1.2.0),
 python-dolfin (>= 1.2.0),
 dolfin-doc (>= 1.2.0),
 dolfin-bin (>= 1.2.0),
 python-ferari (>= 1.0.0),
 python-ffc (>= 1.2.0),
 python-fiat (>= 1.1),
 python-instant (>= 1.2.0),
 ufc (>= 2.2.0),
 python-ufc (>= 2.2.0),
 ufc-doc (>= 2.2.0),
 python-ufl (>= 1.2.0),
 python-ufl-doc (>= 1.2.0),
 ${misc:Depends}
Recommends: python-scitools
Suggests: libsyfi1.0-dev, python-syfi, syfi-doc, sfc
Description: Automated Solution of Differential Equations
 FEniCS is a collection of free software for automated, efficient
 solution of differential equations.
 .
 FEniCS has an extensive list of features, including automated
 solution of variational problems, automated error control and
 adaptivity, a comprehensive library of finite elements, high
 performance linear algebra and many more.
 .
 FEniCS is organized as a collection of interoperable components,
 including the problem-solving environment DOLFIN, the form compiler
 FFC, the finite element tabulator FIAT, the just-in-time compiler
 Instant, the code generation interface UFC, the form language UFL and
 a range of additional components.

## fenics 1.3.0.1

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,25 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://fenicsproject.org
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/fenics/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/fenics/trunk/
 
 Package: fenics
 Architecture: all
-Depends: libdolfin1.2-dev (>= 1.2.0),
- python-dolfin (>= 1.2.0),
- dolfin-doc (>= 1.2.0),
- dolfin-bin (>= 1.2.0),
+Depends: libdolfin1.3-dev (>= 1.3.0),
+ python-dolfin (>= 1.3.0),
+ dolfin-doc (>= 1.3.0),
+ dolfin-bin (>= 1.3.0),
  python-ferari (>= 1.0.0),
- python-ffc (>= 1.2.0),
- python-fiat (>= 1.1),
- python-instant (>= 1.2.0),
- ufc (>= 2.2.0),
- python-ufc (>= 2.2.0),
- ufc-doc (>= 2.2.0),
- python-ufl (>= 1.2.0),
- python-ufl-doc (>= 1.2.0),
+ python-ffc (>= 1.3.0),
+ python-fiat (>= 1.3.0),
+ python-instant (>= 1.3.0),
+ ufc (>= 2.3.0),
+ python-ufc (>= 2.3.0),
+ python-ufl (>= 1.3.0),
+ python-ufl-doc (>= 1.3.0),
  ${misc:Depends}
 Recommends: python-scitools
 Suggests: libsyfi1.0-dev, python-syfi, syfi-doc, sfc

## fenics 1.4.0.1

=== debian/control ===
--- 
+++ 
@@ -11,21 +11,17 @@
 
 Package: fenics
 Architecture: all
-Depends: libdolfin1.3-dev (>= 1.3.0),
- python-dolfin (>= 1.3.0),
- dolfin-doc (>= 1.3.0),
- dolfin-bin (>= 1.3.0),
- python-ferari (>= 1.0.0),
- python-ffc (>= 1.3.0),
- python-fiat (>= 1.3.0),
- python-instant (>= 1.3.0),
- ufc (>= 2.3.0),
- python-ufc (>= 2.3.0),
- python-ufl (>= 1.3.0),
- python-ufl-doc (>= 1.3.0),
+Depends: libdolfin-dev (>= 1.4.0),
+ python-dolfin (>= 1.4.0),
+ dolfin-doc (>= 1.4.0),
+ dolfin-bin (>= 1.4.0),
+ python-ffc (>= 1.4.0),
+ python-fiat (>= 1.4.0),
+ python-instant (>= 1.4.0),
+ python-ufl (>= 1.4.0),
+ python-ufl-doc (>= 1.4.0),
  ${misc:Depends}
 Recommends: python-scitools
-Suggests: libsyfi1.0-dev, python-syfi, syfi-doc, sfc
 Description: Automated Solution of Differential Equations
  FEniCS is a collection of free software for automated, efficient
  solution of differential equations.

## fenics 1.5.0.1build1

=== debian/changelog ===
fenics (1:1.5.0.1build1) yakkety; urgency=medium

  * No-change rebuild now that dolfin is back in the archive

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 26 May 2016 10:05:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://fenicsproject.org
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/fenics/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/fenics/trunk/
 
 Package: fenics
 Architecture: all
-Depends: libdolfin-dev (>= 1.4.0),
- python-dolfin (>= 1.4.0),
- dolfin-doc (>= 1.4.0),
- dolfin-bin (>= 1.4.0),
- python-ffc (>= 1.4.0),
- python-fiat (>= 1.4.0),
- python-instant (>= 1.4.0),
- python-ufl (>= 1.4.0),
- python-ufl-doc (>= 1.4.0),
+Depends: libdolfin-dev (>= 1.5.0),
+ python-dolfin (>= 1.5.0),
+ dolfin-doc (>= 1.5.0),
+ dolfin-bin (>= 1.5.0),
+ python-ffc (>= 1.5.0),
+ python-fiat (>= 1.5.0),
+ python-instant (>= 1.5.0),
+ python-ufl (>= 1.5.0),
+ python-ufl-doc (>= 1.5.0),
  ${misc:Depends}
 Recommends: python-scitools
 Description: Automated Solution of Differential Equations

## fenics 9.12.1

=== debian/control ===
Source: fenics
Section: math
Priority: extra
Maintainer: Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org> 
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: http://www.fenics.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/pkg-scicomp/fenics/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-scicomp/fenics/

Package: fenics
Architecture: any
Depends: dolfin-dev (>= 0.9.5), python-pydolfin0 (>= 0.9.5), dolfin-doc,
 dolfin-bin, python-ferari (>= 0.0.2), python-ffc (>= 0.7.1),
 python-fiat (>= 0.3.5), python-instant (>= 0.9.6), ufc (>= 1.2.0),
 python-ufc (>= 1.2.0), ufc-doc, python-viper (>= 0.4.5),
 python-ufl (>= 0.4.1), syfi-dev (>= 0.6.0), python-syfi0 (>= 0.6.0),
 syfi-doc, syfi-bin, ${misc:Depends}
Description: automation of computational mathematical modeling
 The vision of FEniCS is to set a new standard in Computational Mathematical
 Modeling (CMM), which is the Automation of CMM (ACMM), towards the goals of
 generality, efficiency and simplicity, concerning mathematical methodology,
 implementation and application. FEniCS is organized as a collection of sub
 projects/components, including DOLFIN, FErari, FFC, FIAT, Instant, SyFi
 UFC, UFL, and Viper.

## fenics 10.06-2

=== debian/control ===
Source: fenics
Section: math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://www.fenics.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/trunk/

Package: fenics
Architecture: alpha amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc
Depends: libdolfin0-dev (>= 0.9.8-1),
 python-dolfin (>= 0.9.8-1),
 dolfin-doc (>= 0.9.8-1),
 dolfin-bin (>= 0.9.8-1),
 python-ferari (>= 0.2.0-1),
 python-ffc (>= 0.9.3-1),
 python-fiat (>= 0.9.2-1),
 python-instant (>= 0.9.8-1),
 ufc (>= 1.4.1-1),
 python-ufc (>= 1.4.1-1),
 ufc-doc (>= 1.4.1-1),
 python-viper (>= 0.4.6-1),
 python-ufl (>= 0.5.3-1),
 python-ufl-doc (>= 0.5.3-1),
 syfi-dev (>= 0.6.1),
 python-syfi0 (>= 0.6.1),
 syfi-doc (>= 0.6.1),
 syfi-bin (>= 0.6.1),
 ${misc:Depends}
Description: automation of computational mathematical modeling
 The vision of FEniCS is to set a new standard in Computational Mathematical
 Modeling (CMM), which is the Automation of CMM (ACMM), towards the goals of
 generality, efficiency and simplicity, concerning mathematical methodology,
 implementation and application. FEniCS is organized as a collection of sub
 projects/components, including DOLFIN, FErari, FFC, FIAT, Instant, SyFi
 UFC, UFL, and Viper.

## fenics 11.02-1

=== debian/control ===
Source: fenics
Section: math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://www.fenicsproject.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/trunk/

Package: fenics
Architecture: alpha amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc
Depends: libdolfin0-dev (>= 0.9.10),
 python-dolfin (>= 0.9.10),
 dolfin-doc (>= 0.9.10),
 dolfin-bin (>= 0.9.10),
 python-ferari (>= 0.2.0-1),
 python-ffc (>= 0.9.9),
 python-fiat (>= 0.9.9),
 python-instant (>= 0.9.9),
 ufc (>= 2.0.0),
 python-ufc (>= 2.0.0),
 ufc-doc (>= 2.0.0),
 python-viper (>= 0.4.7),
 python-ufl (>= 0.9.0),
 python-ufl-doc (>= 0.9.0),
 syfi-dev (>= 0.6.2),
 python-syfi0 (>= 0.6.2),
 syfi-doc (>= 0.6.2),
 syfi-bin (>= 0.6.2),
 ${misc:Depends}
Description: automation of computational mathematical modeling
 The vision of FEniCS is to set a new standard in Computational Mathematical
 Modeling (CMM), which is the Automation of CMM (ACMM), towards the goals of
 generality, efficiency and simplicity, concerning mathematical methodology,
 implementation and application. FEniCS is organized as a collection of sub
 projects/components, including DOLFIN, FErari, FFC, FIAT, Instant, SyFi
 UFC, UFL, and Viper.

## fenics 11.05.2

=== debian/control ===
Source: fenics
Section: math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://www.fenicsproject.org
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/trunk/

Package: fenics
Architecture: all
Depends: libdolfin0-dev (>= 0.9.11),
 python-dolfin (>= 0.9.11),
 dolfin-doc (>= 0.9.11),
 dolfin-bin (>= 0.9.11),
 python-ferari (>= 0.2.0),
 python-ffc (>= 0.9.10),
 python-fiat (>= 0.9.9),
 python-instant (>= 0.9.10),
 ufc (>= 2.0.1),
 python-ufc (>= 2.0.1),
 ufc-doc (>= 2.0.1),
 python-viper (>= 0.4.7),
 python-ufl (>= 0.9.1),
 python-ufl-doc (>= 0.9.1),
 ${misc:Depends}
Description: automation of computational mathematical modeling
 The vision of FEniCS is to set a new standard in Computational Mathematical
 Modeling (CMM), which is the Automation of CMM (ACMM), towards the goals of
 generality, efficiency and simplicity, concerning mathematical methodology,
 implementation and application. FEniCS is organized as a collection of sub
 projects/components, including DOLFIN, FErari, FFC, FIAT, Instant, SyFi
 UFC, UFL, and Viper.

## fenics 2016.2.0.1

=== debian/control ===
Source: fenics
Section: math
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7)
Standards-Version: 3.9.8
Homepage: http://fenicsproject.org
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/fenics/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/fenics/trunk/

Package: fenics
Architecture: all
Depends: libdolfin-dev (>= 2016.2.0),
 python-dolfin (>= 2016.2.0),
 dolfin-doc (>= 2016.2.0),
 dolfin-bin (>= 2016.2.0),
 python-ffc (>= 2016.2.0),
 python-fiat (>= 2016.2.0),
 python-instant (>= 2016.2.0),
 python-ufl (>= 2016.2.0),
 python-ufl-doc (>= 2016.2.0),
 python-dijitso (>= 2016.2.0),
 ${misc:Depends}
Recommends: python-scitools
Description: Automated Solution of Differential Equations
 FEniCS is a collection of free software for automated, efficient
 solution of differential equations.
 .
 FEniCS has an extensive list of features, including automated
 solution of variational problems, automated error control and
 adaptivity, a comprehensive library of finite elements, high
 performance linear algebra and many more.
 .
 FEniCS is organized as a collection of interoperable components,
 including the problem-solving environment DOLFIN, the form compiler
 FFC, the finite element tabulator FIAT, the just-in-time compiler
 Instant, the code generation interface UFC, the form language UFL and
 a range of additional components.

## fenics 2016.2.0.1build1

=== debian/changelog ===
fenics (1:2016.2.0.1build1) zesty; urgency=medium

  * Rebuild against new openmpi 2.0.2-2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Feb 2017 10:58:44 +0100

## fenics 2017.2.0.1

=== debian/control ===
Source: fenics
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/mshr.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics

Package: fenics
Architecture: all
Depends: libdolfin-dev (>= ${fenics:Upstream-Version}),
 python-dolfin (>= ${fenics:Upstream-Version}),
 dolfin-doc (>= ${fenics:Upstream-Version}),
 dolfin-bin (>= ${fenics:Upstream-Version}),
 python-ffc (>= ${fenics:Upstream-Version}),
 python-fiat (>= ${fenics:Upstream-Version}),
 python-instant (>= ${fenics:Upstream-Version}),
 python-ufl (>= ${fenics:Upstream-Version}),
 python-ufl-doc (>= ${fenics:Upstream-Version}),
 python-dijitso (>= ${fenics:Upstream-Version}),
 ${misc:Depends}
Suggests: python-mshr (>= ${fenics:Upstream-Version})
Description: Automated Solution of Differential Equations
 FEniCS is a collection of free software for automated, efficient
 solution of differential equations.
 .
 FEniCS has an extensive list of features, including automated
 solution of variational problems, automated error control and
 adaptivity, a comprehensive library of finite elements, high
 performance linear algebra and many more.
 .
 FEniCS is organized as a collection of interoperable components,
 including the problem-solving environment DOLFIN, the form compiler
 FFC, the finite element tabulator FIAT, the just-in-time compiler
 Instant, the code generation interface UFC, the form language UFL and
 a range of additional components.
 .
 This is a metapackage which depends on all FEniCS components.

## fenics 2018.1.0.6

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,26 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: http://fenicsproject.org
-Vcs-Git: https://salsa.debian.org/science-team/fenics/mshr.git
+Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics
 
 Package: fenics
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends: libdolfin-dev (>= ${fenics:Upstream-Version}),
- python-dolfin (>= ${fenics:Upstream-Version}),
+ python3-dolfin (>= ${fenics:Upstream-Version}),
  dolfin-doc (>= ${fenics:Upstream-Version}),
  dolfin-bin (>= ${fenics:Upstream-Version}),
- python-ffc (>= ${fenics:Upstream-Version}),
- python-fiat (>= ${fenics:Upstream-Version}),
- python-instant (>= ${fenics:Upstream-Version}),
- python-ufl (>= ${fenics:Upstream-Version}),
+ python3-ffc (>= ${fenics:Upstream-Version}),
+ python3-fiat (>= ${fenics:Upstream-Version}),
+ python3-ufl (>= ${fenics:Upstream-Version}),
  python-ufl-doc (>= ${fenics:Upstream-Version}),
- python-dijitso (>= ${fenics:Upstream-Version}),
+ python3-dijitso (>= ${fenics:Upstream-Version}),
+ python3-mshr (>= ${fenics:Upstream-Version}) [!armel !armhf !i386 !mips !mipsel !hppa !m68k !powerpc !x32],
  ${misc:Depends}
-Suggests: python-mshr (>= ${fenics:Upstream-Version})
+Recommends: python3-mshr (>= ${fenics:Upstream-Version}) [armel armhf i386 mips mipsel hppa m68k powerpc x32]
 Description: Automated Solution of Differential Equations
  FEniCS is a collection of free software for automated, efficient
  solution of differential equations.

=== debian/tests/control ===
Tests: test-fenics
Depends: @, @builddeps@,

## fenics 2018.1.0.7

=== debian/changelog ===
fenics (1:2018.1.0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:01:20 +0800

## fenics 2019.1.0.2

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics
@@ -21,9 +21,9 @@
  python3-ufl (>= ${fenics:Upstream-Version}),
  python-ufl-doc (>= ${fenics:Upstream-Version}),
  python3-dijitso (>= ${fenics:Upstream-Version}),
- python3-mshr (>= ${fenics:Upstream-Version}) [!armel !armhf !i386 !mips !mipsel !hppa !m68k !powerpc !x32],
+ python3-mshr (>= ${fenics:Upstream-Version}) [!armel !mips !mipsel !m68k !powerpc !x32],
  ${misc:Depends}
-Recommends: python3-mshr (>= ${fenics:Upstream-Version}) [armel armhf i386 mips mipsel hppa m68k powerpc x32]
+Recommends: python3-mshr (>= ${fenics:Upstream-Version}) [armel mips mipsel m68k powerpc x32]
 Description: Automated Solution of Differential Equations
  FEniCS is a collection of free software for automated, efficient
  solution of differential equations.

## fenics 2019.1.0.3

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics

=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/\+dfsg.*$$//p')

FENICS_RELEASE_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)
FENICS_MAJOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
FENICS_MINOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
FENICS_VERSION=$(FENICS_MAJOR_VERSION).$(FENICS_MINOR_VERSION)
FENICS_NEXT_VERSION=$(FENICS_MAJOR_VERSION).$(shell echo $$(( $(FENICS_MINOR_VERSION) + 1 )) )

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- -Vfenics:Upstream-Version=$(FENICS_VERSION)
